EDIT - bug #6388

Duplicate entry exception when adding types to a taxon
01/26/2017 05:41 PM - Patrick Plitzner

Status: Closed Start date:

Priority: Priority13 Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.6

Severity: normal Found in Version:

Description

Steps to reproduce:

1. Open any species

2. Add a new type designation in the details view

3. Click "browse" to choose a new specimen

4. Create a new specimen (not an existing one)

5. Save the editor

6. Select any Designation Status from the drop down
7. Save -> see exception below

login : admin
editor version : 4.6.0.qualifier
server : localhost (localhost-dev)

schema version : 4.1.0.0.201607300000
os : Linux 4.4.41-1-MANJARO amd64
Java : 1.7.0_09
org.springframework.dao.DatalntegrityViolationException: could not execute statement; SQL [n/al; c
onstraint [UK_40240ajajl7vspeoxlg8md6d0]; nested exception is org.hibernate.exception.ConstraintVi
olationException: could not execute statement

at org.springframework.orm.hibernate5.SessionFactoryUtils.convertHibernateAccessException (Sess
ionFactoryUtils.java:164)

at org.springframework.orm.hibernateb5.HibernateTransactionManager.convertHibernateAccessExcept
ion (HibernateTransactionManager. java:741)

at org.springframework.orm.hibernate5.HibernateTransactionManager.doCommit (HibernateTransactio
nManager. java:589)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit (Ab
stractPlatformTransactionManager. java:761)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.commit (AbstractP
latformTransactionManager. java:730)

at org.springframework.transaction.interceptor.TransactionAspectSupport.commitTransactionAfter
Returning (TransactionAspectSupport. java:485)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransactio
n(TransactionAspectSupport. java:291)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at $Proxyl65.merge (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:601)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtils.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.remoting.support.RemoteInvocationTracelnterceptor.invoke (RemoteInvocati
onTraceInterceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at $Proxy254.merge (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:601)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemoteInvocation. java:212)

at org.springframework.remoting.support.DefaultRemoteInvocationExecutor.invoke (DefaultRemotelIn

vocationExecutor. java:39)

at

org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationB

asedExporter. java:78)

at

org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCreateResult (Re

moteInvocationBasedExporter.java:114)

at org.springframework
erServiceExporter. java:74)

.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpInvok

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerAdap
ter.java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet.java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet.java:969)

at org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet. java:871)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:727)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet. java:845)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:820)

at org.mortbay.jetty.servlet.ServletHolder.handle (ServletHolder.java:511)

at org.mortbay. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1221)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:316)

at org.springframework.
curityInterceptor.java:126)
at org.springframework.

security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSe

security.web.access.intercept.FilterSecurityInterceptor.doFilter (Filter

SecurityInterceptor. java:90)

at org.springframework.
oxy.java:330)

at org.springframework.
ationFilter.java:114)

at org.springframework.
oxy.Jjava:330)

at org.springframework.
Filter.java:122)

at org.springframework.
oxy.java:330)

at org.springframework.

security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTransl

security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.session.SessionManagementFilter.doFilter (SessionManagement

security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte

r (SecurityContextHolderAwareRequestFilter. java:169)

at org.springframework.
oxy.Jjava:330)

at org.springframework.
AwareFilter. java:48)

at org.springframework.
oxy.java:330)

at org.springframework.

security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.authentication.www.BasicAuthenticationFilter.doFilterInter

nal (BasicAuthenticationFilter. java:213)

at org.springframework.
at org.springframework.
java:330)

at org.springframework.
:120)

at org.springframework.
java:330)

at org.springframework.

OXY .
ava
OXY.
ter.java:64)

at org.springframework.
at org.springframework.

java:330)
at org.springframework.

OXY .

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter.j
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFil

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:107)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.context.SecurityContextPersistenceFilter.doFilter (Security

ContextPersistenceFilter. java:91)

04/17/2024

2/6




at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doF
ilterInternal (WebAsyncManagerIntegrationFilter. java:53)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. java:21

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy.j
ava:346)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. java:26
2)

at org.mortbay. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1212)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi
lter.java:121)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.mortbay. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1212)

at org.mortbay.jetty.servlet.ServletHandler.handle (ServletHandler.java:399)

at org.mortbay.jetty.security.SecurityHandler.handle (SecurityHandler. java:216)

at org.mortbay. jetty.servlet.SessionHandler.handle (SessionHandler.java:182)

at org.mortbay. jetty.handler.ContextHandler.handle (ContextHandler.java:766)

at org.mortbay.jetty.webapp.WebAppContext.handle (WebAppContext. java:450)

at org.mortbay.jetty.handler.HandlerWrapper.handle (HandlerWrapper.java:152)

at org.mortbay.jetty.Server.handle (Server.java:326)

at org.mortbay.jetty.HttpConnection.handleRequest (HttpConnection. java:542)

at org.mortbay.jetty.HttpConnection$RequestHandler.content (HttpConnection. java:945)

at org.mortbay.jetty.HttpParser.parseNext (HttpParser.java:756)

at org.mortbay.jetty.HttpParser.parseAvailable (HttpParser. java:218)

at org.mortbay.jetty.HttpConnection.handle (HttpConnection. java:404)

at org.mortbay.io.nio.SelectChannelEndPoint.run (SelectChannelEndPoint.java:410)

at org.mortbay.thread.QueuedThreadPool$PoolThread.run (QueuedThreadPool. java:582)

at org.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTraceIfPossible
(RemoteInvocationUtils. java:45)

at org.springframework.remoting.support.RemoteInvocationResult.recreate (RemoteInvocationResult
.java:149)

at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemoteInvocation
Result (RemoteInvocationBasedAccessor. java:85)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli
entInterceptor. java:150)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at S$SProxy78.merge (Unknown Source)

at eu.etaxonomy.taxeditor.editor.TaxonEditorInput.merge (TaxonEditorInput.java:461)

at eu.etaxonomy.taxeditor.editor.MultiPageTaxonEditor.doSave (MultiPageTaxonEditor.java:150)

at org.eclipse.ui.internal.SaveableHelper$2.run (SaveableHelper. java:151)

at org.eclipse.ui.internal.SaveableHelper$5.run(SaveableHelper. java:277)

at org.eclipse.jface.operation.ModalContext.runInCurrentThread (ModalContext.java:464)

at org.eclipse.jface.operation.ModalContext.run (ModalContext. java:372)

at org.eclipse.jface.window.ApplicationWindow$1l.run (ApplicationWindow. java:759)

at org.eclipse.swt.custom.BusyIndicator.showWhile (BusyIndicator.java:70)

at org.eclipse.jface.window.ApplicationWindow.run (ApplicationWindow. java:756)

at org.eclipse.ui.internal.WorkbenchWindow.run (WorkbenchWindow. java:2649)

at org.eclipse.ui.internal.SaveableHelper.runProgressMonitorOperation (SaveableHelper. java:285)

at org.eclipse.ui.internal.SaveableHelper.runProgressMonitorOperation (SaveableHelper. java:264)

at org.eclipse.ui.internal.SaveableHelper.savePart (SaveableHelper.java:156)

at org.eclipse.ui.internal.EditorManager.savePart (EditorManager.java:1399)

at org.eclipse.ui.internal.WorkbenchPage.savePart (WorkbenchPage.java:3416)

at org.eclipse.ui.internal.WorkbenchPage.saveEditor (WorkbenchPage.java:3429)

at org.eclipse.ui.internal.handlers.SaveHandler.execute (SaveHandler. java:54)

at org.eclipse.ui.internal.handlers.HandlerProxy.execute (HandlerProxy. java:293)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:476)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:
508)

at org.eclipse.ui.internal.handlers.HandlerService.executeCommand (HandlerService.java:169)
eclipse.ui.
eclipse.ui.
eclipse.ui.

eclipse.ui.
eclipse.ui.

internal.keys.WorkbenchKeyboard.executeCommand (WorkbenchKeyboard. java:468)
internal.keys.WorkbenchKeyboard.press (WorkbenchKeyboard. java:786)
internal.keys.WorkbenchKeyboard.processKeyEvent (WorkbenchKeyboard. java:885)
internal.keys.WorkbenchKeyboard.filterKeySequenceBindings (WorkbenchKeyboard.

internal.keys.WorkbenchKeyboard.access$3 (WorkbenchKeyboard. java:508)
internal.keys.WorkbenchKeyboard$KeyDownFilter.handleEvent (WorkbenchKeyboard.

.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

eclipse.swt.widgets.Display.filterEvent (Display.java:1531)
eclipse.swt.widgets.Widget.sendEvent (Widget.java:1257)
eclipse.swt.widgets.Widget.sendEvent (Widget.java:1282)
eclipse.swt.widgets.Widget.sendEvent (Widget.java:1267)
eclipse.swt.widgets.Widget.sendKeyEvent (Widget. java:1294)

.eclipse.swt.widgets.Widget.gtk_key_ press_event (Widget. java:730)

eclipse.swt.widgets.Control.gtk_key_ _press_event (Control.java:3019)
eclipse.swt.widgets.Button.gtk_key_press_event (Button. java:516)

.eclipse.swt.widgets.Widget.windowProc (Widget.java:1743)

eclipse.swt.widgets.Control.windowProc (Control. java:5016)
eclipse.swt.widgets.Display.windowProc (Display.java:4408)
eclipse.swt.internal.gtk.0S._gtk_main_do_event (Native Method)
eclipse.swt.internal.gtk.0S.gtk_main_do_event (0S. java:8422)
eclipse.swt.widgets.Display.eventProc (Display.java:1245)

.eclipse.swt.internal.gtk.0S._g_main_context_iteration (Native Method)

eclipse.co
eclipse.ui
.eclipse.ui

eclipse.ui.
eclipse.ui.
eclipse.ui.
eclipse.ui.

eclipse.swt.internal.gtk.0S.g_main_context_iteration(0S.java:2276)
eclipse.swt.widgets.Display.readAndDispatch (Display.java:3207)

internal.Workbench.runEventLoop (Workbench. java:2701)
internal.Workbench.runUI (Workbench. java:2665)
internal.Workbench.access$4 (Workbench. java:2499)
internal.Workbench$7.run (Workbench. java:679)
re.databinding.observable.Realm.runWithDefault (Realm. java:332)
.internal.Workbench.createAndRunWorkbench (Workbench. java:668)
.PlatformUI.createAndRunWorkbench (PlatformUI. java:149)

eu.etaxonomy.taxeditor.Application.start (Application. java:24)
.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

org
org
her.java:110)
re.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
re.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:

re.runtime.adaptor.EclipseStarter.run (EclipseStarter.java:344)
re.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
tiveMethodAccessorImpl.invokeO (Native Method)
tiveMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)
legatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

java.lang.reflect.Method.invoke (Method. java:601)
.hibernate.
.hibernate.
.hibernate.
.hibernate.
.hibernate.
.hibernate.
.hibernate.

.hibernate.
.hibernate.

eclipse.equinox.launcher.Main.invokeFramework (Main. java:622)
eclipse.equinox.launcher.Main.basicRun (Main. java:577)
eclipse.equinox.launcher.Main.run (Main. java:1410)
eclipse.equinox.launcher.Main.main (Main. java:1386)

ate.exception.ConstraintViolationException: could not execute statement
exception.internal.SQLExceptionTypeDelegate.convert (SQLExceptionTypeDelegate.

exception.internal.StandardSQLExceptionConverter.convert (StandardSQLException
engine. jdbc.spi.SglExceptionHelper.convert (SqlExceptionHelper.java:109)
engine. jdbc.spi.SglExceptionHelper.convert (SqlExceptionHelper. java:95)
engine. jdbc.internal.ResultSetReturnImpl.executeUpdate (ResultSetReturnImpl. ja
engine. jdbc.batch.internal .NonBatchingBatch.addToBatch (NonBatchingBatch. java:
persister.entity.AbstractEntityPersister.insert (AbstractEntityPersister. java:
persister.entity.AbstractEntityPersister.insert (AbstractEntityPersister. java:
action.internal.EntityInsertAction.execute (EntityInsertAction. java:89)

engine.spi.ActionQueue.executeActions (ActionQueue. java:560)
engine.spi.ActionQueue.executeActions (ActionQueue. java:434)
at org.hibernate.event.internal.AbstractFlushingEventListener.performExecutions (AbstractFlushi
ngEventListener. java:337)

at org.hibernate.event.internal.DefaultFlushEventListener.onFlush (DefaultFlushEventListener. ja
va:39)

at org.hibernate.internal.SessionImpl.flush (SessionImpl.java:1282)

at org.hibernate.internal.SessionImpl.managedFlush (SessionImpl. java:465)

at org.hibernate.internal.SessionImpl.flushBeforeTransactionCompletion (SessionImpl. java:2963)

at org.hibernate.internal.SessionImpl.beforeTransactionCompletion (SessionImpl. java:2339)

at org.hibernate.engine. jdbc.internal.JdbcCoordinatorImpl.beforeTransactionCompletion (JdbcCoor
dinatorImpl. java:485)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi
natorImpl.beforeCompletionCallback (JdbcResourcelLocalTransactionCoordinatorImpl. java:147)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransactionCoordi
natorImpl.access$100 (JdbcResourcelLocalTransactionCoordinatorImpl. java:38)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelocalTransactionCoordi
natorImpl$TransactionDriverControlImpl.commit (JdbcResourceLocalTransactionCoordinatorImpl. java:231
)

at org.hibernate.engine.transaction.internal.TransactionImpl.commit (TransactionImpl. java:65)

at org.springframework.orm.hibernateb5.HibernateTransactionManager.doCommit (HibernateTransactio
nManager. java:581)

158 more

Caused by: com.mysqgl. jdbc.exceptions. jdbc4.MySQLIntegrityConstraintViolationException: Duplicate e
ntry '3cfc99b1-51d3-4263-bel5-ab583fle2beca’' for key 'UK_40240ajajl7vspeoxlg8mdedl’

at sun.reflect.NativeConstructorAccessorImpl.newInstance0 (Native Method)

at sun.reflect.NativeConstructorAccessorImpl.newInstance (NativeConstructorAccessorImpl. java:57

at sun.reflect.DelegatingConstructorAccessorImpl.newInstance (DelegatingConstructorAccessorImpl
.java:45)

at java.lang.reflect.Constructor.newInstance (Constructor.java:525)

at com.mysqgl. jdbc.Util.handleNewInstance (Util.java:404)

at com.mysqgl. jdbc.Util.getInstance (Util. java:387)

at com.mysqgl. jdbc.SQLError.createSQLException (SQLError. java: 932)

at com.mysqgl. jdbc.MysglIO.checkErrorPacket (MysglIO. java:3878)

at com.mysqgl. jdbc.MysglIO.checkErrorPacket (MysglIO. java:3814)

at com.mysqgl. jdbc.MysglIO.sendCommand (MysglIO. java:2478)

at com.mysqgl. jdbc.MysqglIO.sglQueryDirect (MysglIO. java:2625)

at com.mysqgl. jdbc.ConnectionImpl.execSQL (ConnectionImpl. java:2551)

at com.mysqgl. jdbc.PreparedStatement.executelnternal (PreparedStatement. java:1861)

at com.mysqgl. jdbc.PreparedStatement .executeUpdateInternal (PreparedStatement.java:2073)

at com.mysqgl. jdbc.PreparedStatement.executeUpdateInternal (PreparedStatement. java:2009)

at com.mysqgl. jdbc.PreparedStatement.executelargeUpdate (PreparedStatement. java:5094)

at com.mysqgl. jdbc.PreparedStatement.executeUpdate (PreparedStatement.java:1994)

at com.mchange.v2.c3p0.impl.NewProxyPreparedStatement.executeUpdate (NewProxyPreparedStatement.
java:384)

at org.hibernate.engine. jdbc.internal.ResultSetReturnImpl.executeUpdate (ResultSetReturnImpl. ja
va:204)

176 more

History

#2 - 01/30/2017 02:32 PM - Andreas Miiller
- Assignee changed from Patrick Plitzner to Katja Luther
- Priority changed from New to Priority13

- Target version changed from Unassigned CDM tickets to Release 4.6

#3 - 02/02/2017 01:37 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Patrick Plitzner

should be solved with fixing #6300. Could not reproduce it anymore.

#4 - 02/07/2017 05:22 PM - Patrick Plitzner
- Status changed from Resolved to Closed

- Assignee changed from Patrick Plitzner to Katja Luther
https://dev.e-taxonomy.eu/redmine/issues/6300

- % Done changed from 0 to 100

works fine
